Oracle is not a valid choice for $db_driver error

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Oracle is not a valid choice for $db_driver error

BugUser
Software error:
'oracle' is not a valid choice for $db_driver in  localconfig: Can't load 'C:/Perl/site/lib/auto/DBD/Oracle/Oracle.dll' for module DBD::Oracle: load_file:The specified procedure could not be found at C:/Perl/lib/DynaLoader.pm line 191.
 at Bugzilla/DB/Oracle.pm line 41.
Compilation failed in require at Bugzilla/DB/Oracle.pm line 41.
BEGIN failed--compilation aborted at Bugzilla/DB/Oracle.pm line 41.
Compilation failed in require at (eval 133) line 2.

For help, please send mail to this site's webmaster, giving this error message and the time and date of the error.

[Thu Dec 13 11:10:46 2012] index.cgi: 'oracle' is not a valid choice for $db_driver in localconfig: Can't load 'C:/Perl/site/lib/auto/DBD/Oracle/Oracle.dll' for module DBD::Oracle: load_file:The specified procedure could not be found at C:/Perl/lib/DynaLoader.pm line 191. [Thu Dec 13 11:10:46 2012] index.cgi: at Bugzilla/DB/Oracle.pm line 41. [Thu Dec 13 11:10:46 2012] index.cgi: Compilation failed in require at Bugzilla/DB/Oracle.pm line 41. [Thu Dec 13 11:10:46 2012] index.cgi: BEGIN failed--compilation aborted at Bugzilla/DB/Oracle.pm line 41. [Thu Dec 13 11:10:46 2012] index.cgi: Compilation failed in require at (eval 133) line 2.


Anyone with a solution?

TIA
Reply | Threaded
Open this post in threaded view
|

Re: Oracle is not a valid choice for $db_driver error

BugUser
I did look at all of the older posts and have tried adding oci.dll and oraociei11.dll to the folders.  This did not work for me.

I checked to make sure the oracle database was running.  It is.
Reply | Threaded
Open this post in threaded view
|

Re: Oracle is not a valid choice for $db_driver error

Thorsten Schöning
Guten Tag BugUser,
am Donnerstag, 13. Dezember 2012 um 20:11 schrieben Sie:

> I did look at all of the older posts and have tried adding oci.dll and
> oraociei11.dll to the folders.  This did not work for me.

It may be that Perl just can't load the dll because of
incompatibilities. I had similar things with Postgres and older
versions of Perl.

http://pgfoundry.org/forum/forum.php?thread_id=1836&forum_id=739

Mit freundlichen Grüßen,

Thorsten Schöning

--
Thorsten Schöning       E-Mail:[hidden email]
AM-SoFT IT-Systeme      http://www.AM-SoFT.de/

Telefon...........05151-  9468- 55
Fax...............05151-  9468- 88
Mobil..............0178-8 9468- 04

AM-SoFT GmbH IT-Systeme, Brandenburger Str. 7c, 31789 Hameln
AG Hannover HRB 207 694 - Geschäftsführer: Andreas Muchow

_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.
Reply | Threaded
Open this post in threaded view
|

Re: Oracle is not a valid choice for $db_driver error

Thorsten Schöning
In reply to this post by BugUser
Guten Tag Stecker, Cindy,
am Dienstag, 18. Dezember 2012 um 15:21 schrieben Sie:

> Any other suggestions?  Should I look at upgrading from 5.14 to
> 5.16 (Perl)?  The reason I went with 5.14 was because I could not
> get some of the modules to load in 5.16.  Any suggestions?

Please always respond to the list. I wouldn't upgrade Perl, as some
modules are still missing and it shouldn't be necessary. Your problem
surely is somewhere else and if I were you I would run Process Monitor
to see which DLLs are requested, where there are searched for and
maybe you see why they can't be found.

Does the error only occurs on using Bugzilla in the browser, but
checksetup.pl does work? If so, the problem clearly is with your web
server and that it can't access needed DLLs which can be accessed
running checksetup.pl from a shell.

Mit freundlichen Grüßen,

Thorsten Schöning

--
Thorsten Schöning       E-Mail:[hidden email]
AM-SoFT IT-Systeme      http://www.AM-SoFT.de/

Telefon...........05151-  9468- 55
Fax...............05151-  9468- 88
Mobil..............0178-8 9468- 04

AM-SoFT GmbH IT-Systeme, Brandenburger Str. 7c, 31789 Hameln
AG Hannover HRB 207 694 - Geschäftsführer: Andreas Muchow

_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.
Reply | Threaded
Open this post in threaded view
|

RE: Oracle is not a valid choice for $db_driver error

BugUser
This happens when I open up Bugzilla and when I run checksetup.pl.  The setup ran at one point but when I fixed it so that it see cgi files, this is the issue I ran into.

Thanks,

Cindy

-----Original Message-----
From: support-bugzilla-bounces+cstecker=[hidden email] [mailto:support-bugzilla-bounces+cstecker=[hidden email]] On Behalf Of Thorsten Schöning
Sent: Tuesday, December 18, 2012 10:06 AM
To: [hidden email]
Subject: Re: Oracle is not a valid choice for $db_driver error

Guten Tag Stecker, Cindy,
am Dienstag, 18. Dezember 2012 um 15:21 schrieben Sie:

> Any other suggestions?  Should I look at upgrading from 5.14 to
> 5.16 (Perl)?  The reason I went with 5.14 was because I could not get
> some of the modules to load in 5.16.  Any suggestions?

Please always respond to the list. I wouldn't upgrade Perl, as some modules are still missing and it shouldn't be necessary. Your problem surely is somewhere else and if I were you I would run Process Monitor to see which DLLs are requested, where there are searched for and maybe you see why they can't be found.

Does the error only occurs on using Bugzilla in the browser, but checksetup.pl does work? If so, the problem clearly is with your web server and that it can't access needed DLLs which can be accessed running checksetup.pl from a shell.

Mit freundlichen Grüßen,

Thorsten Schöning

--
Thorsten Schöning       E-Mail:[hidden email]
AM-SoFT IT-Systeme      http://www.AM-SoFT.de/

Telefon...........05151-  9468- 55
Fax...............05151-  9468- 88
Mobil..............0178-8 9468- 04

AM-SoFT GmbH IT-Systeme, Brandenburger Str. 7c, 31789 Hameln AG Hannover HRB 207 694 - Geschäftsführer: Andreas Muchow

_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.
_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.
Reply | Threaded
Open this post in threaded view
|

Re: Oracle is not a valid choice for $db_driver error

Yavor Nikolov-2
In reply to this post by BugUser
What happens if you try to install DBD::Oracle module from CPAN - does it
install successfully? Are all tests passing?

Also check the notes here:
http://search.cpan.org/~pythian/DBD-Oracle-1.52/lib/DBD/Oracle.pm

Is your ORACLE_HOME variable set? Are Oracle binaries in PATH environment?

(You can consider trying to run Bugzilla on Linux if possible - it's
usually easier to setup and maintain).

On Tue, Dec 18, 2012 at 5:29 PM, Stecker, Cindy <[hidden email]>wrote:

> This happens when I open up Bugzilla and when I run checksetup.pl.  The
> setup ran at one point but when I fixed it so that it see cgi files, this
> is the issue I ran into.
>
> Thanks,
>
> Cindy
>
> -----Original Message-----
> From: support-bugzilla-bounces+cstecker=[hidden email][mailto:
> support-bugzilla-bounces+cstecker=[hidden email]] On
> Behalf Of Thorsten Schöning
> Sent: Tuesday, December 18, 2012 10:06 AM
> To: [hidden email]
> Subject: Re: Oracle is not a valid choice for $db_driver error
>
> Guten Tag Stecker, Cindy,
> am Dienstag, 18. Dezember 2012 um 15:21 schrieben Sie:
>
> > Any other suggestions?  Should I look at upgrading from 5.14 to
> > 5.16 (Perl)?  The reason I went with 5.14 was because I could not get
> > some of the modules to load in 5.16.  Any suggestions?
>
> Please always respond to the list. I wouldn't upgrade Perl, as some
> modules are still missing and it shouldn't be necessary. Your problem
> surely is somewhere else and if I were you I would run Process Monitor to
> see which DLLs are requested, where there are searched for and maybe you
> see why they can't be found.
>
> Does the error only occurs on using Bugzilla in the browser, but
> checksetup.pl does work? If so, the problem clearly is with your web
> server and that it can't access needed DLLs which can be accessed running
> checksetup.pl from a shell.
>
> Mit freundlichen Grüßen,
>
> Thorsten Schöning
>
> --
> Thorsten Schöning       E-Mail:[hidden email]
> AM-SoFT IT-Systeme      http://www.AM-SoFT.de/
>
> Telefon...........05151- 9468- 55
> Fax...............05151- 9468- 88
> Mobil..............0178-8 9468- 04
>
> AM-SoFT GmbH IT-Systeme, Brandenburger Str. 7c, 31789 Hameln AG Hannover
> HRB 207 694 - Geschäftsführer: Andreas Muchow
>
>
_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.
Reply | Threaded
Open this post in threaded view
|

Re: Oracle is not a valid choice for $db_driver error

Yavor Nikolov-2
FYI:
The Oracle driver works fine with bugzilla 4.4rc1 and 4.2.4 on Ubuntu Linux
12.10 (x86_64) with Oracle database 11.2.0.3.4. Everything (almost) works
by the book - no special steps, no copy of shared libraries, etc.
(The only exception: the database schema setup code is a bit buggy but was
easy to fix (I had to create a dummy type T_GROUP_CONCAT it tries to drop
this type even on clean install).

I'm always setting the relevant Oracle environment variables /ORACLE_HOME,
LD_LIBRARY_PATH, PATH/ when I'm running checksetup.pl (or installing the
DBD::Oracle driver). These should be also set in the Apache config as
described in the install guide. (Make sure that with that environment
you're able to connect to the database with sqlplus).

Regards,
Yavor


On Tue, Dec 18, 2012 at 5:42 PM, Yavor Nikolov <[hidden email]>wrote:

> What happens if you try to install DBD::Oracle module from CPAN - does it
> install successfully? Are all tests passing?
>
> Also check the notes here:
> http://search.cpan.org/~pythian/DBD-Oracle-1.52/lib/DBD/Oracle.pm
>
> Is your ORACLE_HOME variable set? Are Oracle binaries in PATH environment?
>
> (You can consider trying to run Bugzilla on Linux if possible - it's
> usually easier to setup and maintain).
>
> On Tue, Dec 18, 2012 at 5:29 PM, Stecker, Cindy <[hidden email]>wrote:
>
>> This happens when I open up Bugzilla and when I run checksetup.pl.  The
>> setup ran at one point but when I fixed it so that it see cgi files, this
>> is the issue I ran into.
>>
>> Thanks,
>>
>> Cindy
>>
>> -----Original Message-----
>> From: support-bugzilla-bounces+cstecker=[hidden email][mailto:
>> support-bugzilla-bounces+cstecker=[hidden email]] On
>> Behalf Of Thorsten Schöning
>> Sent: Tuesday, December 18, 2012 10:06 AM
>> To: [hidden email]
>> Subject: Re: Oracle is not a valid choice for $db_driver error
>>
>> Guten Tag Stecker, Cindy,
>> am Dienstag, 18. Dezember 2012 um 15:21 schrieben Sie:
>>
>> > Any other suggestions?  Should I look at upgrading from 5.14 to
>> > 5.16 (Perl)?  The reason I went with 5.14 was because I could not get
>> > some of the modules to load in 5.16.  Any suggestions?
>>
>> Please always respond to the list. I wouldn't upgrade Perl, as some
>> modules are still missing and it shouldn't be necessary. Your problem
>> surely is somewhere else and if I were you I would run Process Monitor to
>> see which DLLs are requested, where there are searched for and maybe you
>> see why they can't be found.
>>
>> Does the error only occurs on using Bugzilla in the browser, but
>> checksetup.pl does work? If so, the problem clearly is with your web
>> server and that it can't access needed DLLs which can be accessed running
>> checksetup.pl from a shell.
>>
>> Mit freundlichen Grüßen,
>>
>> Thorsten Schöning
>>
>> --
>> Thorsten Schöning       E-Mail:[hidden email]
>> AM-SoFT IT-Systeme      http://www.AM-SoFT.de/
>>
>> Telefon...........05151- 9468- 55
>> Fax...............05151- 9468- 88
>> Mobil..............0178-8 9468- 04
>>
>> AM-SoFT GmbH IT-Systeme, Brandenburger Str. 7c, 31789 Hameln AG Hannover
>> HRB 207 694 - Geschäftsführer: Andreas Muchow
>>
>>
>
_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.